> For the complete documentation index, see [llms.txt](https://developers.incidents.cloud.solarwinds.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.incidents.cloud.solarwinds.com/api-reference/overrides.md).

# Overrides

## GET /v4/schedules/{scheduleID}/overrides

> List Overrides

```json
{"openapi":"3.1.0","info":{"title":"Squadcast","version":"1.0.0"},"tags":[{"name":"Overrides"}],"servers":[{"url":"https://api.squadcast.com","description":"production US env","variables":{}},{"url":"https://api.eu.squadcast.com","description":"production EU env","variables":{}}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"V4.OverrideResponse":{"type":"object","allOf":[{"$ref":"#/components/schemas/V4.ScheduleOverride"}]},"V4.ScheduleOverride":{"type":"object","required":["id","orgID","teamID","scheduleID","startTime","endTime","reason","overriddenParticipant","overrideWith","createdAt","updatedAt"],"properties":{"id":{"type":"integer"},"orgID":{"type":"string"},"teamID":{"type":"string"},"scheduleID":{"type":"integer"},"startTime":{"type":"string"},"endTime":{"type":"string"},"reason":{"type":"string"},"overriddenParticipant":{"$ref":"#/components/schemas/V4.OverrideParticipantGroup"},"overrideWith":{"$ref":"#/components/schemas/V4.OverrideParticipantGroup"},"createdAt":{"type":"string"},"updatedAt":{"type":"string"}}},"V4.OverrideParticipantGroup":{"type":"object","required":["group"],"properties":{"group":{"type":"array","items":{"$ref":"#/components/schemas/V4.Participant"}}}},"V4.Participant":{"type":"object","required":["id","type"],"properties":{"id":{"type":"string"},"type":{"type":"string"}}},"Common.V4.PageInfo":{"type":"object","required":["pageSize","hasNext","hasPrev"],"properties":{"pageSize":{"type":"integer","format":"int32"},"hasNext":{"type":"boolean"},"hasPrev":{"type":"boolean"},"nextCursor":{"type":"string"},"prevCursor":{"type":"string"}}},"Common.V4.Error":{"type":"object","required":["error"],"properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"array","items":{"type":"object","properties":{"field":{"type":"string"},"message":{"type":"string"}},"required":["field","message"]}}},"required":["code","message"]}}}}},"paths":{"/v4/schedules/{scheduleID}/overrides":{"get":{"operationId":"Overrides_listOverrides","summary":"List Overrides","parameters":[{"name":"scheduleID","in":"path","required":true,"schema":{"type":"string"}},{"name":"startTime","in":"query","required":true,"schema":{"type":"string"},"explode":false},{"name":"endTime","in":"query","required":true,"schema":{"type":"string"},"explode":false},{"name":"participantID","in":"query","required":false,"schema":{"type":"string"},"explode":false},{"name":"pageSize","in":"query","required":false,"schema":{"type":"integer","format":"int32"},"explode":false},{"name":"cursor","in":"query","required":false,"schema":{"type":"string"},"explode":false}],"responses":{"200":{"description":"The request has succeeded.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/V4.OverrideResponse"}},"pageInfo":{"$ref":"#/components/schemas/Common.V4.PageInfo"}}}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.V4.Error"}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.V4.Error"}}}},"402":{"description":"Client error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.V4.Error"}}}},"403":{"description":"Access is forbidden.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.V4.Error"}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.V4.Error"}}}},"409":{"description":"The request conflicts with the current state of the server.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.V4.Error"}}}},"422":{"description":"Client error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.V4.Error"}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.V4.Error"}}}},"502":{"description":"Server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.V4.Error"}}}},"503":{"description":"Service unavailable.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.V4.Error"}}}},"504":{"description":"Server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.V4.Error"}}}}},"tags":["Overrides"]}}}}
```

## POST /v4/schedules/{scheduleID}/overrides

> Create Schedule Override

```json
{"openapi":"3.1.0","info":{"title":"Squadcast","version":"1.0.0"},"tags":[{"name":"Overrides"}],"servers":[{"url":"https://api.squadcast.com","description":"production US env","variables":{}},{"url":"https://api.eu.squadcast.com","description":"production EU env","variables":{}}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"V4.OverrideResponse":{"type":"object","allOf":[{"$ref":"#/components/schemas/V4.ScheduleOverride"}]},"V4.ScheduleOverride":{"type":"object","required":["id","orgID","teamID","scheduleID","startTime","endTime","reason","overriddenParticipant","overrideWith","createdAt","updatedAt"],"properties":{"id":{"type":"integer"},"orgID":{"type":"string"},"teamID":{"type":"string"},"scheduleID":{"type":"integer"},"startTime":{"type":"string"},"endTime":{"type":"string"},"reason":{"type":"string"},"overriddenParticipant":{"$ref":"#/components/schemas/V4.OverrideParticipantGroup"},"overrideWith":{"$ref":"#/components/schemas/V4.OverrideParticipantGroup"},"createdAt":{"type":"string"},"updatedAt":{"type":"string"}}},"V4.OverrideParticipantGroup":{"type":"object","required":["group"],"properties":{"group":{"type":"array","items":{"$ref":"#/components/schemas/V4.Participant"}}}},"V4.Participant":{"type":"object","required":["id","type"],"properties":{"id":{"type":"string"},"type":{"type":"string"}}},"Common.V4.Error":{"type":"object","required":["error"],"properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"array","items":{"type":"object","properties":{"field":{"type":"string"},"message":{"type":"string"}},"required":["field","message"]}}},"required":["code","message"]}}},"V4.CreateScheduleOverrideRequest":{"type":"object","required":["startTime","endTime","reason","overriddenParticipant","overrideWith"],"properties":{"startTime":{"type":"string"},"endTime":{"type":"string"},"reason":{"type":"string"},"overriddenParticipant":{"$ref":"#/components/schemas/V4.OverrideParticipantGroup"},"overrideWith":{"$ref":"#/components/schemas/V4.OverrideParticipantGroup"}}}}},"paths":{"/v4/schedules/{scheduleID}/overrides":{"post":{"operationId":"Overrides_createScheduleOverride","summary":"Create Schedule Override","parameters":[{"name":"scheduleID","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"201":{"description":"The request has succeeded and a new resource has been created as a result.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"$ref":"#/components/schemas/V4.OverrideResponse"}}}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.V4.Error"}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.V4.Error"}}}},"402":{"description":"Client error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.V4.Error"}}}},"403":{"description":"Access is forbidden.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.V4.Error"}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.V4.Error"}}}},"409":{"description":"The request conflicts with the current state of the server.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.V4.Error"}}}},"422":{"description":"Client error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.V4.Error"}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.V4.Error"}}}},"502":{"description":"Server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.V4.Error"}}}},"503":{"description":"Service unavailable.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.V4.Error"}}}},"504":{"description":"Server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.V4.Error"}}}}},"tags":["Overrides"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/V4.CreateScheduleOverrideRequest"}}}}}}}}
```

## GET /v4/schedules/{scheduleID}/overrides/{overrideID}

> Get Override by ID

```json
{"openapi":"3.1.0","info":{"title":"Squadcast","version":"1.0.0"},"tags":[{"name":"Overrides"}],"servers":[{"url":"https://api.squadcast.com","description":"production US env","variables":{}},{"url":"https://api.eu.squadcast.com","description":"production EU env","variables":{}}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"V4.OverrideResponse":{"type":"object","allOf":[{"$ref":"#/components/schemas/V4.ScheduleOverride"}]},"V4.ScheduleOverride":{"type":"object","required":["id","orgID","teamID","scheduleID","startTime","endTime","reason","overriddenParticipant","overrideWith","createdAt","updatedAt"],"properties":{"id":{"type":"integer"},"orgID":{"type":"string"},"teamID":{"type":"string"},"scheduleID":{"type":"integer"},"startTime":{"type":"string"},"endTime":{"type":"string"},"reason":{"type":"string"},"overriddenParticipant":{"$ref":"#/components/schemas/V4.OverrideParticipantGroup"},"overrideWith":{"$ref":"#/components/schemas/V4.OverrideParticipantGroup"},"createdAt":{"type":"string"},"updatedAt":{"type":"string"}}},"V4.OverrideParticipantGroup":{"type":"object","required":["group"],"properties":{"group":{"type":"array","items":{"$ref":"#/components/schemas/V4.Participant"}}}},"V4.Participant":{"type":"object","required":["id","type"],"properties":{"id":{"type":"string"},"type":{"type":"string"}}},"Common.V4.Error":{"type":"object","required":["error"],"properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"array","items":{"type":"object","properties":{"field":{"type":"string"},"message":{"type":"string"}},"required":["field","message"]}}},"required":["code","message"]}}}}},"paths":{"/v4/schedules/{scheduleID}/overrides/{overrideID}":{"get":{"operationId":"Overrides_getOverrideById","summary":"Get Override by ID","parameters":[{"name":"scheduleID","in":"path","required":true,"schema":{"type":"string"}},{"name":"overrideID","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"The request has succeeded.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"$ref":"#/components/schemas/V4.OverrideResponse"}}}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.V4.Error"}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.V4.Error"}}}},"402":{"description":"Client error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.V4.Error"}}}},"403":{"description":"Access is forbidden.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.V4.Error"}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.V4.Error"}}}},"409":{"description":"The request conflicts with the current state of the server.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.V4.Error"}}}},"422":{"description":"Client error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.V4.Error"}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.V4.Error"}}}},"502":{"description":"Server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.V4.Error"}}}},"503":{"description":"Service unavailable.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.V4.Error"}}}},"504":{"description":"Server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.V4.Error"}}}}},"tags":["Overrides"]}}}}
```

## PUT /v4/schedules/{scheduleID}/overrides/{overrideID}

> Update Schedule Override

```json
{"openapi":"3.1.0","info":{"title":"Squadcast","version":"1.0.0"},"tags":[{"name":"Overrides"}],"servers":[{"url":"https://api.squadcast.com","description":"production US env","variables":{}},{"url":"https://api.eu.squadcast.com","description":"production EU env","variables":{}}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"V4.OverrideResponse":{"type":"object","allOf":[{"$ref":"#/components/schemas/V4.ScheduleOverride"}]},"V4.ScheduleOverride":{"type":"object","required":["id","orgID","teamID","scheduleID","startTime","endTime","reason","overriddenParticipant","overrideWith","createdAt","updatedAt"],"properties":{"id":{"type":"integer"},"orgID":{"type":"string"},"teamID":{"type":"string"},"scheduleID":{"type":"integer"},"startTime":{"type":"string"},"endTime":{"type":"string"},"reason":{"type":"string"},"overriddenParticipant":{"$ref":"#/components/schemas/V4.OverrideParticipantGroup"},"overrideWith":{"$ref":"#/components/schemas/V4.OverrideParticipantGroup"},"createdAt":{"type":"string"},"updatedAt":{"type":"string"}}},"V4.OverrideParticipantGroup":{"type":"object","required":["group"],"properties":{"group":{"type":"array","items":{"$ref":"#/components/schemas/V4.Participant"}}}},"V4.Participant":{"type":"object","required":["id","type"],"properties":{"id":{"type":"string"},"type":{"type":"string"}}},"Common.V4.Error":{"type":"object","required":["error"],"properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"array","items":{"type":"object","properties":{"field":{"type":"string"},"message":{"type":"string"}},"required":["field","message"]}}},"required":["code","message"]}}},"V4.UpdateScheduleOverrideRequest":{"type":"object","required":["startTime","endTime","reason","overriddenParticipant","overrideWith"],"properties":{"startTime":{"type":"string"},"endTime":{"type":"string"},"reason":{"type":"string"},"overriddenParticipant":{"$ref":"#/components/schemas/V4.OverrideParticipantGroup"},"overrideWith":{"$ref":"#/components/schemas/V4.OverrideParticipantGroup"}}}}},"paths":{"/v4/schedules/{scheduleID}/overrides/{overrideID}":{"put":{"operationId":"Overrides_updateScheduleOverride","summary":"Update Schedule Override","parameters":[{"name":"scheduleID","in":"path","required":true,"schema":{"type":"string"}},{"name":"overrideID","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"The request has succeeded.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"$ref":"#/components/schemas/V4.OverrideResponse"}}}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.V4.Error"}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.V4.Error"}}}},"402":{"description":"Client error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.V4.Error"}}}},"403":{"description":"Access is forbidden.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.V4.Error"}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.V4.Error"}}}},"409":{"description":"The request conflicts with the current state of the server.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.V4.Error"}}}},"422":{"description":"Client error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.V4.Error"}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.V4.Error"}}}},"502":{"description":"Server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.V4.Error"}}}},"503":{"description":"Service unavailable.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.V4.Error"}}}},"504":{"description":"Server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.V4.Error"}}}}},"tags":["Overrides"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/V4.UpdateScheduleOverrideRequest"}}}}}}}}
```

## DELETE /v4/schedules/{scheduleID}/overrides/{overrideID}

> Delete Schedule Override

```json
{"openapi":"3.1.0","info":{"title":"Squadcast","version":"1.0.0"},"tags":[{"name":"Overrides"}],"servers":[{"url":"https://api.squadcast.com","description":"production US env","variables":{}},{"url":"https://api.eu.squadcast.com","description":"production EU env","variables":{}}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"Common.V4.Error":{"type":"object","required":["error"],"properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"array","items":{"type":"object","properties":{"field":{"type":"string"},"message":{"type":"string"}},"required":["field","message"]}}},"required":["code","message"]}}}}},"paths":{"/v4/schedules/{scheduleID}/overrides/{overrideID}":{"delete":{"operationId":"Overrides_deleteScheduleOverride","summary":"Delete Schedule Override","parameters":[{"name":"scheduleID","in":"path","required":true,"schema":{"type":"string"}},{"name":"overrideID","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"There is no content to send for this request, but the headers may be useful. ","content":{"*/*":{"schema":{"type":"object"}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.V4.Error"}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.V4.Error"}}}},"402":{"description":"Client error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.V4.Error"}}}},"403":{"description":"Access is forbidden.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.V4.Error"}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.V4.Error"}}}},"409":{"description":"The request conflicts with the current state of the server.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.V4.Error"}}}},"422":{"description":"Client error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.V4.Error"}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.V4.Error"}}}},"502":{"description":"Server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.V4.Error"}}}},"503":{"description":"Service unavailable.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.V4.Error"}}}},"504":{"description":"Server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.V4.Error"}}}}},"tags":["Overrides"]}}}}
```
